Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/cosp.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/cosp.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/cosp.F90	(revision 5082)
@@ -402,5 +402,5 @@
 
     ! Set flag to deallocate rttov types (only done on final call to simulator)
-    if (size(cospOUT%isccp_meantb) .eq. stop_idx) lrttov_cleanUp = .true.    
+    if (size(cospOUT%isccp_meantb) == stop_idx) lrttov_cleanUp = .true.
     
     ! ISCCP column
@@ -563,10 +563,10 @@
        modisIN%w0        => cospIN%ss_alb
        modisIN%Nsunlit   = count(cospgridIN%sunlit > 0)
-       if (modisIN%Nsunlit .gt. 0) then
+       if (modisIN%Nsunlit > 0) then
           allocate(modisIN%sunlit(modisIN%Nsunlit),modisIN%pres(modisIN%Nsunlit,cospIN%Nlevels+1))
           modisIN%sunlit    = pack((/ (i, i = 1, Npoints ) /),mask = cospgridIN%sunlit > 0)
           modisIN%pres      = cospgridIN%phalf(int(modisIN%sunlit(:)),:)
        endif
-       if (count(cospgridIN%sunlit <= 0) .gt. 0) then
+       if (count(cospgridIN%sunlit <= 0) > 0) then
           allocate(modisIN%notSunlit(count(cospgridIN%sunlit <= 0)))
           modisIN%notSunlit = pack((/ (i, i = 1, Npoints ) /),mask = .not. cospgridIN%sunlit > 0)
@@ -1450,5 +1450,5 @@
   !         is turned off.
   !%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-  if (any(cospgridIN%sunlit .lt. 0)) then
+  if (any(cospgridIN%sunlit < 0)) then
      nError=nError+1
      errorMessage(nError) = 'ERROR: COSP input variable: cospgridIN%sunlit contains values out of range (0 or 1)'
@@ -1513,5 +1513,5 @@
           cospOUT%modis_Optical_Thickness_vs_ReffLIQ(:,:,:)            = R_UNDEF
   endif
-  if (any(cospgridIN%at .lt. 0)) then   
+  if (any(cospgridIN%at < 0)) then
        nError=nError+1
        errorMessage(nError) = 'ERROR: COSP input variable: cospgridIN%at contains values out of range (at<0), expected units (K)'
@@ -1549,5 +1549,5 @@
        if (associated(cospOUT%radar_lidar_tcc))       cospOUT%radar_lidar_tcc(:)           = R_UNDEF       
     endif
-    if (any(cospgridIN%pfull .lt. 0)) then
+    if (any(cospgridIN%pfull < 0)) then
        nError=nError+1
        errorMessage(nError) = 'ERROR: COSP input variable: cospgridIN%pfull contains values out of range'
@@ -1566,5 +1566,5 @@
        if (associated(cospOUT%isccp_fq))            cospOUT%isccp_fq(:,:,:)        = R_UNDEF      
     endif
-    if (any(cospgridIN%phalf .lt. 0)) then
+    if (any(cospgridIN%phalf < 0)) then
        nError=nError+1
        errorMessage(nError) = 'ERROR: COSP input variable: cospgridIN%phalf contains values out of range'
@@ -1632,5 +1632,5 @@
        if (associated(cospOUT%calipso_lidarcldtmp))   cospOUT%calipso_lidarcldtmp(:,:,:)   = R_UNDEF      
     endif
-    if (any(cospgridIN%qv .lt. 0)) then
+    if (any(cospgridIN%qv < 0)) then
        nError=nError+1
        errorMessage(nError) = 'ERROR: COSP input variable: cospgridIN%qv contains values out of range'
@@ -1649,5 +1649,5 @@
        if (associated(cospOUT%isccp_fq))            cospOUT%isccp_fq(:,:,:)        = R_UNDEF                
     endif
-    if (any(cospgridIN%hgt_matrix .lt. -300)) then
+    if (any(cospgridIN%hgt_matrix < -300)) then
        nError=nError+1
        errorMessage(nError) = 'ERROR: COSP input variable: cospgridIN%hgt_matrix contains values out of range'
@@ -1674,5 +1674,5 @@
        if (associated(cospOUT%radar_lidar_tcc))           cospOUT%radar_lidar_tcc(:)             = R_UNDEF       
     endif
-    if (any(cospgridIN%hgt_matrix_half .lt. -300)) then
+    if (any(cospgridIN%hgt_matrix_half < -300)) then
        nError=nError+1
        errorMessage(nError) = 'ERROR: COSP input variable: cospgridIN%hgt_matrix_half contains values out of range'
@@ -1693,5 +1693,5 @@
        if (associated(cospOUT%radar_lidar_tcc))       cospOUT%radar_lidar_tcc(:)           = R_UNDEF                 
     endif
-    if (any(cospgridIN%land .lt. 0)) then
+    if (any(cospgridIN%land < 0)) then
        nError=nError+1
        errorMessage(nError) = 'ERROR: COSP input variable: cospgridIN%land contains values out of range'
@@ -1708,5 +1708,5 @@
        if (associated(cospOUT%parasolGrid_refl))      cospOUT%parasolGrid_refl(:,:)        = R_UNDEF
     endif
-    if (any(cospgridIN%skt .lt. 0)) then
+    if (any(cospgridIN%skt < 0)) then
        nError=nError+1
        errorMessage(nError) = 'ERROR: COSP input variable: cospgridIN%skt contains values out of range'
@@ -1727,5 +1727,5 @@
 
 	! RTTOV Inputs
-    if (cospgridIN%zenang .lt. -90. .OR. cospgridIN%zenang .gt. 90) then
+    if (cospgridIN%zenang < -90. .OR. cospgridIN%zenang > 90) then
        nError=nError+1
        errorMessage(nError) = 'ERROR: COSP input variable: cospgridIN%zenang contains values out of range'
@@ -1733,5 +1733,5 @@
        if (associated(cospOUT%rttov_tbs)) cospOUT%rttov_tbs(:,:) = R_UNDEF       
     endif
-    if (cospgridIN%co2 .lt. 0) then
+    if (cospgridIN%co2 < 0) then
        nError=nError+1
        errorMessage(nError) = 'ERROR: COSP input variable: cospgridIN%co2 contains values out of range'
@@ -1739,5 +1739,5 @@
        if (associated(cospOUT%rttov_tbs)) cospOUT%rttov_tbs(:,:) = R_UNDEF       
     endif
-    if (cospgridIN%ch4 .lt. 0) then
+    if (cospgridIN%ch4 < 0) then
        nError=nError+1
        errorMessage(nError) = 'ERROR: COSP input variable: cospgridIN%ch4 contains values out of range'
@@ -1745,5 +1745,5 @@
        if (associated(cospOUT%rttov_tbs)) cospOUT%rttov_tbs(:,:) = R_UNDEF       
     endif
-    if (cospgridIN%n2o .lt. 0) then
+    if (cospgridIN%n2o < 0) then
        nError=nError+1
        errorMessage(nError) = 'ERROR: COSP input variable: cospgridIN%n2o contains values out of range'
@@ -1751,5 +1751,5 @@
        if (associated(cospOUT%rttov_tbs)) cospOUT%rttov_tbs(:,:) = R_UNDEF       
     endif
-    if (cospgridIN%co.lt. 0) then
+    if (cospgridIN%co< 0) then
        nError=nError+1
        errorMessage(nError) = 'ERROR: COSP input variable: cospgridIN%co contains values out of range'
@@ -1757,5 +1757,5 @@
        if (associated(cospOUT%rttov_tbs)) cospOUT%rttov_tbs(:,:) = R_UNDEF       
     endif
-    if (any(cospgridIN%o3 .lt. 0)) then
+    if (any(cospgridIN%o3 < 0)) then
        nError=nError+1
        errorMessage(nError) = 'ERROR: COSP input variable: cospgridIN%o3 contains values out of range'
@@ -1763,5 +1763,5 @@
        if (associated(cospOUT%rttov_tbs)) cospOUT%rttov_tbs(:,:) = R_UNDEF       
     endif
-    if (any(cospgridIN%emis_sfc .lt. 0. .OR. cospgridIN%emis_sfc .gt. 1)) then
+    if (any(cospgridIN%emis_sfc < 0. .OR. cospgridIN%emis_sfc > 1)) then
        nError=nError+1
        errorMessage(nError) = 'ERROR: COSP input variable: cospgridIN%emis_sfc contains values out of range'
@@ -1769,5 +1769,5 @@
        if (associated(cospOUT%rttov_tbs)) cospOUT%rttov_tbs(:,:) = R_UNDEF       
     endif
-    if (any(cospgridIN%u_sfc .lt. -100. .OR. cospgridIN%u_sfc .gt. 100.)) then
+    if (any(cospgridIN%u_sfc < -100. .OR. cospgridIN%u_sfc > 100.)) then
        nError=nError+1
        errorMessage(nError) = 'ERROR: COSP input variable: cospIN%u_sfc contains values out of range'
@@ -1775,5 +1775,5 @@
        Lrttov_subcolumn = .false.
     endif
-    if (any(cospgridIN%v_sfc .lt. -100. .OR. cospgridIN%v_sfc .gt. 100.)) then
+    if (any(cospgridIN%v_sfc < -100. .OR. cospgridIN%v_sfc > 100.)) then
        nError=nError+1
        errorMessage(nError) = 'ERROR: COSP input variable: cospIN%v_sfc contains values out of range'
@@ -1781,5 +1781,5 @@
        if (associated(cospOUT%rttov_tbs)) cospOUT%rttov_tbs(:,:) = R_UNDEF       
     endif
-    if (any(cospgridIN%lat .lt. -90 .OR. cospgridIN%lat .gt. 90)) then
+    if (any(cospgridIN%lat < -90 .OR. cospgridIN%lat > 90)) then
        nError=nError+1
        errorMessage(nError) = 'ERROR: COSP input variable: cospIN%lat contains values out of range'
@@ -1789,5 +1789,5 @@
 
     ! COSP_INPUTS
-    if (cospIN%emsfc_lw .lt. 0. .OR. cospIN%emsfc_lw .gt. 1.) then
+    if (cospIN%emsfc_lw < 0. .OR. cospIN%emsfc_lw > 1.) then
        nError=nError+1
        errorMessage(nError) = 'ERROR: COSP input variable: cospIN%emsfc_lw contains values out of range'
@@ -1805,5 +1805,5 @@
        
     endif
-    if (any(cospIN%tau_067 .lt. 0)) then
+    if (any(cospIN%tau_067 < 0)) then
        nError=nError+1
        errorMessage(nError) = 'ERROR: COSP input variable: cospIN%tau_067 contains values out of range'
@@ -1870,5 +1870,5 @@
        
     endif
-    if (any(cospIN%emiss_11 .lt. 0. .OR. cospIN%emiss_11 .gt. 1)) then
+    if (any(cospIN%emiss_11 < 0. .OR. cospIN%emiss_11 > 1)) then
        nError=nError+1
        errorMessage(nError) = 'ERROR: COSP input variable: cospIN%emiss_11 contains values out of range'
@@ -1886,5 +1886,5 @@
          
     endif
-    if (any(cospIN%asym .lt. -1. .OR. cospIN%asym .gt. 1)) then
+    if (any(cospIN%asym < -1. .OR. cospIN%asym > 1)) then
        nError=nError+1
        errorMessage(nError) = 'ERROR: COSP input variable: cospIN%asym contains values out of range'
@@ -1932,5 +1932,5 @@
             cospOUT%modis_Optical_Thickness_vs_ReffLIQ(:,:,:)            = R_UNDEF             
     endif
-    if (any(cospIN%ss_alb .lt. 0 .OR. cospIN%ss_alb .gt. 1)) then
+    if (any(cospIN%ss_alb < 0 .OR. cospIN%ss_alb > 1)) then
        nError=nError+1
        errorMessage(nError) = 'ERROR: COSP input variable: cospIN%ss_alb contains values out of range'
@@ -1978,5 +1978,5 @@
             cospOUT%modis_Optical_Thickness_vs_ReffLIQ(:,:,:)            = R_UNDEF                 
     endif
-    if (any(cospIN%betatot .lt. 0)) then
+    if (any(cospIN%betatot < 0)) then
        nError=nError+1
        errorMessage(nError) = 'ERROR: COSP input variable: cospIN%betatot contains values out of range'
@@ -1991,5 +1991,5 @@
        if (associated(cospOUT%calipso_srbval))        cospOUT%calipso_srbval(:)            = R_UNDEF
     endif
-    if (any(cospIN%betatot_liq .lt. 0)) then
+    if (any(cospIN%betatot_liq < 0)) then
        nError=nError+1
        errorMessage(nError) = ('ERROR: COSP input variable: cospIN%betatot_liq contains values out of range')
@@ -2004,5 +2004,5 @@
        if (associated(cospOUT%calipso_srbval))        cospOUT%calipso_srbval(:)            = R_UNDEF       
     endif
-    if (any(cospIN%betatot_ice .lt. 0)) then
+    if (any(cospIN%betatot_ice < 0)) then
        nError=nError+1
        errorMessage(nError) = 'ERROR: COSP input variable: cospIN%betatot_ice contains values out of range'
@@ -2017,5 +2017,5 @@
        if (associated(cospOUT%calipso_srbval))        cospOUT%calipso_srbval(:)            = R_UNDEF
     endif 
-    if (any(cospIN%beta_mol .lt. 0)) then
+    if (any(cospIN%beta_mol < 0)) then
        nError=nError+1
        errorMessage(nError) = 'ERROR: COSP input variable: cospIN%beta_mol contains values out of range'
@@ -2036,5 +2036,5 @@
        if (associated(cospOUT%radar_lidar_tcc))       cospOUT%radar_lidar_tcc(:)           = R_UNDEF          
     endif    
-    if (any(cospIN%tautot .lt. 0)) then
+    if (any(cospIN%tautot < 0)) then
        nError=nError+1
        errorMessage(nError) = 'ERROR: COSP input variable: cospIN%tautot contains values out of range'
@@ -2049,5 +2049,5 @@
        if (associated(cospOUT%calipso_srbval))        cospOUT%calipso_srbval(:)            = R_UNDEF      
     endif
-    if (any(cospIN%tautot_liq .lt. 0)) then
+    if (any(cospIN%tautot_liq < 0)) then
        nError=nError+1
        errorMessage(nError) = ('ERROR: COSP input variable: cospIN%tautot_liq contains values out of range')
@@ -2062,5 +2062,5 @@
        if (associated(cospOUT%calipso_srbval))        cospOUT%calipso_srbval(:)            = R_UNDEF       
     endif
-    if (any(cospIN%tautot_ice .lt. 0)) then
+    if (any(cospIN%tautot_ice < 0)) then
        nError=nError+1
        errorMessage(nError) = 'ERROR: COSP input variable: cospIN%tautot_ice contains values out of range'
@@ -2075,5 +2075,5 @@
        if (associated(cospOUT%calipso_srbval))        cospOUT%calipso_srbval(:)            = R_UNDEF        
     endif
-    if (any(cospIN%tau_mol .lt. 0)) then
+    if (any(cospIN%tau_mol < 0)) then
        nError=nError+1
        errorMessage(nError) = 'ERROR: COSP input variable: cospIN%tau_mol contains values out of range'
@@ -2088,5 +2088,5 @@
        if (associated(cospOUT%calipso_srbval))        cospOUT%calipso_srbval(:)            = R_UNDEF         
     endif    
-    if (any(cospIN%tautot_S_liq .lt. 0)) then
+    if (any(cospIN%tautot_S_liq < 0)) then
        nError=nError+1
        errorMessage(nError) = 'ERROR: COSP input variable: cospIN%tautot_S_liq contains values out of range'
@@ -2096,5 +2096,5 @@
        if (associated(cospOUT%parasolGrid_refl)) cospOUT%parasolGrid_refl(:,:)  = R_UNDEF
     endif
-    if (any(cospIN%tautot_S_ice .lt. 0)) then
+    if (any(cospIN%tautot_S_ice < 0)) then
        nError=nError+1
        errorMessage(nError) = 'ERROR: COSP input variable: cospIN%tautot_S_ice contains values out of range'
@@ -2104,5 +2104,5 @@
        if (associated(cospOUT%parasolGrid_refl)) cospOUT%parasolGrid_refl(:,:)  = R_UNDEF       
     endif    
-    if (any(cospIN%z_vol_cloudsat .lt. 0)) then
+    if (any(cospIN%z_vol_cloudsat < 0)) then
        nError=nError+1
        errorMessage(nError) = 'ERROR: COSP input variable: cospIN%z_vol_cloudsat contains values out of range'
@@ -2116,5 +2116,5 @@
        if (associated(cospOUT%radar_lidar_tcc))           cospOUT%radar_lidar_tcc(:)             = R_UNDEF     
     endif
-    if (any(cospIN%kr_vol_cloudsat .lt. 0)) then
+    if (any(cospIN%kr_vol_cloudsat < 0)) then
        nError=nError+1
        errorMessage(nError) = 'ERROR: COSP input variable: cospIN%kr_vol_cloudsat contains values out of range'
@@ -2128,5 +2128,5 @@
        if (associated(cospOUT%radar_lidar_tcc))           cospOUT%radar_lidar_tcc(:)             = R_UNDEF      
     endif    
-    if (any(cospIN%g_vol_cloudsat .lt. 0)) then
+    if (any(cospIN%g_vol_cloudsat < 0)) then
        nError=nError+1
        errorMessage(nError) = 'ERROR: COSP input variable: cospIN%g_vol_cloudsat contains values out of range'
@@ -2145,13 +2145,13 @@
   !%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
   ! ISCCP
-  if (size(cospIN%frac_out,1)  .ne. cospIN%Npoints .OR. &
-      size(cospIN%tau_067,1)   .ne. cospIN%Npoints .OR. &
-      size(cospIN%emiss_11,1)  .ne. cospIN%Npoints .OR. &
-      size(cospgridIN%skt)     .ne. cospIN%Npoints .OR. &
-      size(cospgridIN%qv,1)    .ne. cospIN%Npoints .OR. &
-      size(cospgridIN%at,1)    .ne. cospIN%Npoints .OR. &
-      size(cospgridIN%phalf,1) .ne. cospIN%Npoints .OR. &
-      size(cospgridIN%sunlit)  .ne. cospIN%Npoints .OR. &
-      size(cospgridIN%pfull,1) .ne. cospIN%Npoints) then
+  if (size(cospIN%frac_out,1)  /= cospIN%Npoints .OR. &
+      size(cospIN%tau_067,1)   /= cospIN%Npoints .OR. &
+      size(cospIN%emiss_11,1)  /= cospIN%Npoints .OR. &
+      size(cospgridIN%skt)     /= cospIN%Npoints .OR. &
+      size(cospgridIN%qv,1)    /= cospIN%Npoints .OR. &
+      size(cospgridIN%at,1)    /= cospIN%Npoints .OR. &
+      size(cospgridIN%phalf,1) /= cospIN%Npoints .OR. &
+      size(cospgridIN%sunlit)  /= cospIN%Npoints .OR. &
+      size(cospgridIN%pfull,1) /= cospIN%Npoints) then
       Lisccp_subcolumn = .false.
       Lisccp_column    = .false.
@@ -2159,7 +2159,7 @@
       errorMessage(nError) = 'ERROR(isccp_simulator): The number of points in the input fields are inconsistent'
   endif
-  if (size(cospIN%frac_out,2) .ne. cospIN%Ncolumns .OR. &
-      size(cospIN%tau_067,2)  .ne. cospIN%Ncolumns .OR. &
-      size(cospIN%emiss_11,2) .ne. cospIN%Ncolumns) then
+  if (size(cospIN%frac_out,2) /= cospIN%Ncolumns .OR. &
+      size(cospIN%tau_067,2)  /= cospIN%Ncolumns .OR. &
+      size(cospIN%emiss_11,2) /= cospIN%Ncolumns) then
       Lisccp_subcolumn = .false.
       Lisccp_column    = .false.
@@ -2167,11 +2167,11 @@
       errorMessage(nError) = 'ERROR(isccp_simulator): The number of sub-columns in the input fields are inconsistent'
   endif
-  if (size(cospIN%frac_out,3)  .ne. cospIN%Nlevels .OR. &
-      size(cospIN%tau_067,3)   .ne. cospIN%Nlevels .OR. &
-      size(cospIN%emiss_11,3)  .ne. cospIN%Nlevels .OR. &
-      size(cospgridIN%qv,2)    .ne. cospIN%Nlevels .OR. &
-      size(cospgridIN%at,2)    .ne. cospIN%Nlevels .OR. &
-      size(cospgridIN%pfull,2) .ne. cospIN%Nlevels .OR. &    
-      size(cospgridIN%phalf,2) .ne. cospIN%Nlevels+1) then
+  if (size(cospIN%frac_out,3)  /= cospIN%Nlevels .OR. &
+      size(cospIN%tau_067,3)   /= cospIN%Nlevels .OR. &
+      size(cospIN%emiss_11,3)  /= cospIN%Nlevels .OR. &
+      size(cospgridIN%qv,2)    /= cospIN%Nlevels .OR. &
+      size(cospgridIN%at,2)    /= cospIN%Nlevels .OR. &
+      size(cospgridIN%pfull,2) /= cospIN%Nlevels .OR. &
+      size(cospgridIN%phalf,2) /= cospIN%Nlevels+1) then
       Lisccp_subcolumn = .false.
       Lisccp_column    = .false.
@@ -2181,8 +2181,8 @@
       
   ! MISR
-  if (size(cospIN%tau_067,1)        .ne. cospIN%Npoints .OR. &
-      size(cospgridIN%sunlit)       .ne. cospIN%Npoints .OR. & 
-      size(cospgridIN%hgt_matrix,1) .ne. cospIN%Npoints .OR. &
-      size(cospgridIN%at,1)         .ne. cospIN%Npoints) then
+  if (size(cospIN%tau_067,1)        /= cospIN%Npoints .OR. &
+      size(cospgridIN%sunlit)       /= cospIN%Npoints .OR. &
+      size(cospgridIN%hgt_matrix,1) /= cospIN%Npoints .OR. &
+      size(cospgridIN%at,1)         /= cospIN%Npoints) then
       Lmisr_subcolumn = .false.
       Lmisr_column    = .false.
@@ -2190,5 +2190,5 @@
       errorMessage(nError) = 'ERROR(misr_simulator): The number of points in the input fields are inconsistent'
   endif
-  if (size(cospIN%tau_067,2) .ne. cospIN%Ncolumns) then
+  if (size(cospIN%tau_067,2) /= cospIN%Ncolumns) then
       Lmisr_subcolumn = .false.
       Lmisr_column    = .false.
@@ -2196,7 +2196,7 @@
       errorMessage(nError) = 'ERROR(misr_simulator): The number of sub-columns in the input fields are inconsistent'
   endif
-  if (size(cospIN%tau_067,3)        .ne. cospIN%Nlevels .OR. &
-      size(cospgridIN%hgt_matrix,2) .ne. cospIN%Nlevels .OR. &
-      size(cospgridIN%at,2)         .ne. cospIN%Nlevels) then
+  if (size(cospIN%tau_067,3)        /= cospIN%Nlevels .OR. &
+      size(cospgridIN%hgt_matrix,2) /= cospIN%Nlevels .OR. &
+      size(cospgridIN%at,2)         /= cospIN%Nlevels) then
       Lmisr_subcolumn = .false.
       Lmisr_column    = .false.
@@ -2206,8 +2206,8 @@
 
   ! MODIS
-  if (size(cospIN%fracLiq,1) .ne. cospIN%Npoints .OR. &
-      size(cospIN%tau_067,1) .ne. cospIN%Npoints .OR. &
-      size(cospIN%asym,1)    .ne. cospIN%Npoints .OR. &
-      size(cospIN%ss_alb,1)  .ne. cospIN%Npoints) then
+  if (size(cospIN%fracLiq,1) /= cospIN%Npoints .OR. &
+      size(cospIN%tau_067,1) /= cospIN%Npoints .OR. &
+      size(cospIN%asym,1)    /= cospIN%Npoints .OR. &
+      size(cospIN%ss_alb,1)  /= cospIN%Npoints) then
       Lmodis_subcolumn = .false.
       Lmodis_column    = .false.
@@ -2215,8 +2215,8 @@
       errorMessage(nError) = 'ERROR(modis_simulator): The number of points in the input fields are inconsistent'
   endif
-  if (size(cospIN%fracLiq,2) .ne. cospIN%Ncolumns .OR. &
-      size(cospIN%tau_067,2) .ne. cospIN%Ncolumns .OR. &
-      size(cospIN%asym,2)    .ne. cospIN%Ncolumns .OR. &
-      size(cospIN%ss_alb,2)  .ne. cospIN%Ncolumns) then
+  if (size(cospIN%fracLiq,2) /= cospIN%Ncolumns .OR. &
+      size(cospIN%tau_067,2) /= cospIN%Ncolumns .OR. &
+      size(cospIN%asym,2)    /= cospIN%Ncolumns .OR. &
+      size(cospIN%ss_alb,2)  /= cospIN%Ncolumns) then
       Lmodis_subcolumn = .false.
       Lmodis_column    = .false.
@@ -2224,8 +2224,8 @@
       errorMessage(nError) = 'ERROR(modis_simulator): The number of sub-columns in the input fields are inconsistent'
   endif        
-  if (size(cospIN%fracLiq,3) .ne. cospIN%Nlevels .OR. &
-      size(cospIN%tau_067,3) .ne. cospIN%Nlevels .OR. &
-      size(cospIN%asym,3)    .ne. cospIN%Nlevels .OR. &
-      size(cospIN%ss_alb,3)  .ne. cospIN%Nlevels) then
+  if (size(cospIN%fracLiq,3) /= cospIN%Nlevels .OR. &
+      size(cospIN%tau_067,3) /= cospIN%Nlevels .OR. &
+      size(cospIN%asym,3)    /= cospIN%Nlevels .OR. &
+      size(cospIN%ss_alb,3)  /= cospIN%Nlevels) then
       Lmodis_subcolumn = .false.
       Lmodis_column    = .false.
@@ -2235,8 +2235,8 @@
   
   ! CLOUDSAT    
-  if (size(cospIN%z_vol_cloudsat,1)   .ne. cospIN%Npoints .OR. &
-      size(cospIN%kr_vol_cloudsat,1)  .ne. cospIN%Npoints .OR. &
-      size(cospIN%g_vol_cloudsat,1)   .ne. cospIN%Npoints .OR. &
-      size(cospgridIN%hgt_matrix,1)   .ne. cospIN%Npoints) then
+  if (size(cospIN%z_vol_cloudsat,1)   /= cospIN%Npoints .OR. &
+      size(cospIN%kr_vol_cloudsat,1)  /= cospIN%Npoints .OR. &
+      size(cospIN%g_vol_cloudsat,1)   /= cospIN%Npoints .OR. &
+      size(cospgridIN%hgt_matrix,1)   /= cospIN%Npoints) then
       Lcloudsat_subcolumn = .false.
       Lcloudsat_column    = .false.
@@ -2244,7 +2244,7 @@
       errorMessage(nError) = 'ERROR(cloudsat_simulator): The number of points in the input fields are inconsistent'
   endif
-  if (size(cospIN%z_vol_cloudsat,2)  .ne. cospIN%Ncolumns .OR. &
-      size(cospIN%kr_vol_cloudsat,2) .ne. cospIN%Ncolumns .OR. &
-      size(cospIN%g_vol_cloudsat,2)  .ne. cospIN%Ncolumns) then
+  if (size(cospIN%z_vol_cloudsat,2)  /= cospIN%Ncolumns .OR. &
+      size(cospIN%kr_vol_cloudsat,2) /= cospIN%Ncolumns .OR. &
+      size(cospIN%g_vol_cloudsat,2)  /= cospIN%Ncolumns) then
       Lcloudsat_subcolumn = .false.
       Lcloudsat_column    = .false.
@@ -2252,8 +2252,8 @@
       errorMessage(nError) = 'ERROR(cloudsat_simulator): The number of sub-columns in the input fields are inconsistent'
   endif       
-  if (size(cospIN%z_vol_cloudsat,3)  .ne. cospIN%Nlevels .OR. &
-      size(cospIN%kr_vol_cloudsat,3) .ne. cospIN%Nlevels .OR. &
-      size(cospIN%g_vol_cloudsat,3)  .ne. cospIN%Nlevels .OR. &
-      size(cospgridIN%hgt_matrix,2)  .ne. cospIN%Nlevels) then
+  if (size(cospIN%z_vol_cloudsat,3)  /= cospIN%Nlevels .OR. &
+      size(cospIN%kr_vol_cloudsat,3) /= cospIN%Nlevels .OR. &
+      size(cospIN%g_vol_cloudsat,3)  /= cospIN%Nlevels .OR. &
+      size(cospgridIN%hgt_matrix,2)  /= cospIN%Nlevels) then
       Lcloudsat_subcolumn = .false.
       Lcloudsat_column    = .false.
@@ -2263,12 +2263,12 @@
 
   ! CALIPSO
-  if (size(cospIN%beta_mol,1)    .ne. cospIN%Npoints .OR. &
-      size(cospIN%betatot,1)     .ne. cospIN%Npoints .OR. &
-      size(cospIN%betatot_liq,1) .ne. cospIN%Npoints .OR. &
-      size(cospIN%betatot_ice,1) .ne. cospIN%Npoints .OR. &
-      size(cospIN%tau_mol,1)     .ne. cospIN%Npoints .OR. &
-      size(cospIN%tautot,1)      .ne. cospIN%Npoints .OR. &
-      size(cospIN%tautot_liq,1)  .ne. cospIN%Npoints .OR. &
-      size(cospIN%tautot_ice,1)  .ne. cospIN%Npoints) then
+  if (size(cospIN%beta_mol,1)    /= cospIN%Npoints .OR. &
+      size(cospIN%betatot,1)     /= cospIN%Npoints .OR. &
+      size(cospIN%betatot_liq,1) /= cospIN%Npoints .OR. &
+      size(cospIN%betatot_ice,1) /= cospIN%Npoints .OR. &
+      size(cospIN%tau_mol,1)     /= cospIN%Npoints .OR. &
+      size(cospIN%tautot,1)      /= cospIN%Npoints .OR. &
+      size(cospIN%tautot_liq,1)  /= cospIN%Npoints .OR. &
+      size(cospIN%tautot_ice,1)  /= cospIN%Npoints) then
       Lcalipso_subcolumn = .false.
       Lcalipso_column    = .false.
@@ -2276,10 +2276,10 @@
       errorMessage(nError) = 'ERROR(calipso_simulator): The number of points in the input fields are inconsistent'
   endif          
-   if (size(cospIN%betatot,2)     .ne. cospIN%Ncolumns .OR. &
-       size(cospIN%betatot_liq,2) .ne. cospIN%Ncolumns .OR. &
-       size(cospIN%betatot_ice,2) .ne. cospIN%Ncolumns .OR. &
-       size(cospIN%tautot,2)      .ne. cospIN%Ncolumns .OR. &
-       size(cospIN%tautot_liq,2)  .ne. cospIN%Ncolumns .OR. &
-       size(cospIN%tautot_ice,2)  .ne. cospIN%Ncolumns) then
+   if (size(cospIN%betatot,2)     /= cospIN%Ncolumns .OR. &
+       size(cospIN%betatot_liq,2) /= cospIN%Ncolumns .OR. &
+       size(cospIN%betatot_ice,2) /= cospIN%Ncolumns .OR. &
+       size(cospIN%tautot,2)      /= cospIN%Ncolumns .OR. &
+       size(cospIN%tautot_liq,2)  /= cospIN%Ncolumns .OR. &
+       size(cospIN%tautot_ice,2)  /= cospIN%Ncolumns) then
        Lcalipso_subcolumn = .false.
        Lcalipso_column    = .false.
@@ -2287,12 +2287,12 @@
       errorMessage(nError) = 'ERROR(calipso_simulator): The number of sub-columns in the input fields are inconsistent'
   endif       
-  if (size(cospIN%beta_mol,2)    .ne. cospIN%Nlevels .OR. &
-      size(cospIN%betatot,3)     .ne. cospIN%Nlevels .OR. &
-      size(cospIN%betatot_liq,3) .ne. cospIN%Nlevels .OR. &
-      size(cospIN%betatot_ice,3) .ne. cospIN%Nlevels .OR. &
-      size(cospIN%tau_mol,2)     .ne. cospIN%Nlevels .OR. &
-      size(cospIN%tautot,3)      .ne. cospIN%Nlevels .OR. &
-      size(cospIN%tautot_liq,3)  .ne. cospIN%Nlevels .OR. &
-      size(cospIN%tautot_ice,3)  .ne. cospIN%Nlevels) then
+  if (size(cospIN%beta_mol,2)    /= cospIN%Nlevels .OR. &
+      size(cospIN%betatot,3)     /= cospIN%Nlevels .OR. &
+      size(cospIN%betatot_liq,3) /= cospIN%Nlevels .OR. &
+      size(cospIN%betatot_ice,3) /= cospIN%Nlevels .OR. &
+      size(cospIN%tau_mol,2)     /= cospIN%Nlevels .OR. &
+      size(cospIN%tautot,3)      /= cospIN%Nlevels .OR. &
+      size(cospIN%tautot_liq,3)  /= cospIN%Nlevels .OR. &
+      size(cospIN%tautot_ice,3)  /= cospIN%Nlevels) then
       Lcalipso_subcolumn = .false.
       Lcalipso_column    = .false.
@@ -2302,6 +2302,6 @@
   
   ! PARASOL
-  if (size(cospIN%tautot_S_liq,1) .ne. cospIN%Npoints .OR. &
-      size(cospIN%tautot_S_ice,1) .ne. cospIN%Npoints) then
+  if (size(cospIN%tautot_S_liq,1) /= cospIN%Npoints .OR. &
+      size(cospIN%tautot_S_ice,1) /= cospIN%Npoints) then
       Lparasol_subcolumn = .false.
       Lparasol_column    = .false.
@@ -2309,6 +2309,6 @@
       errorMessage(nError) = 'ERROR(parasol_simulator): The number of points in the input fields are inconsistent'
   endif
-  if (size(cospIN%tautot_S_liq,2) .ne. cospIN%Ncolumns .OR. &
-      size(cospIN%tautot_S_ice,2) .ne. cospIN%Ncolumns) then
+  if (size(cospIN%tautot_S_liq,2) /= cospIN%Ncolumns .OR. &
+      size(cospIN%tautot_S_ice,2) /= cospIN%Ncolumns) then
       Lparasol_subcolumn = .false.
       Lparasol_column    = .false.
@@ -2318,15 +2318,15 @@
   
   ! RTTOV
-  if (size(cospgridIN%pfull,1)           .ne. cospIN%Npoints .OR. &
-      size(cospgridIN%at,1)              .ne. cospIN%Npoints .OR. &
-      size(cospgridIN%qv,1)              .ne. cospIN%Npoints .OR. &
-      size(cospgridIN%hgt_matrix_half,1) .ne. cospIN%Npoints .OR. &
-      size(cospgridIN%u_sfc)             .ne. cospIN%Npoints .OR. &
-      size(cospgridIN%v_sfc)             .ne. cospIN%Npoints .OR. &
-      size(cospgridIN%skt)               .ne. cospIN%Npoints .OR. &
-      size(cospgridIN%phalf,1)           .ne. cospIN%Npoints .OR. &
-      size(cospgridIN%qv,1)              .ne. cospIN%Npoints .OR. &
-      size(cospgridIN%land)              .ne. cospIN%Npoints .OR. &
-      size(cospgridIN%lat)               .ne. cospIN%Npoints) then
+  if (size(cospgridIN%pfull,1)           /= cospIN%Npoints .OR. &
+      size(cospgridIN%at,1)              /= cospIN%Npoints .OR. &
+      size(cospgridIN%qv,1)              /= cospIN%Npoints .OR. &
+      size(cospgridIN%hgt_matrix_half,1) /= cospIN%Npoints .OR. &
+      size(cospgridIN%u_sfc)             /= cospIN%Npoints .OR. &
+      size(cospgridIN%v_sfc)             /= cospIN%Npoints .OR. &
+      size(cospgridIN%skt)               /= cospIN%Npoints .OR. &
+      size(cospgridIN%phalf,1)           /= cospIN%Npoints .OR. &
+      size(cospgridIN%qv,1)              /= cospIN%Npoints .OR. &
+      size(cospgridIN%land)              /= cospIN%Npoints .OR. &
+      size(cospgridIN%lat)               /= cospIN%Npoints) then
       Lrttov_subcolumn = .false.
       Lrttov_column    = .false.
@@ -2334,10 +2334,10 @@
       errorMessage(nError) = 'ERROR(rttov_simulator): The number of points in the input fields are inconsistent'
   endif      
-  if (size(cospgridIN%pfull,2)           .ne. cospIN%Nlevels   .OR. &
-      size(cospgridIN%at,2)              .ne. cospIN%Nlevels   .OR. &
-      size(cospgridIN%qv,2)              .ne. cospIN%Nlevels   .OR. &
-      size(cospgridIN%hgt_matrix_half,2) .ne. cospIN%Nlevels+1 .OR. &
-      size(cospgridIN%phalf,2)           .ne. cospIN%Nlevels+1 .OR. &
-      size(cospgridIN%qv,2)              .ne. cospIN%Nlevels) then
+  if (size(cospgridIN%pfull,2)           /= cospIN%Nlevels   .OR. &
+      size(cospgridIN%at,2)              /= cospIN%Nlevels   .OR. &
+      size(cospgridIN%qv,2)              /= cospIN%Nlevels   .OR. &
+      size(cospgridIN%hgt_matrix_half,2) /= cospIN%Nlevels+1 .OR. &
+      size(cospgridIN%phalf,2)           /= cospIN%Nlevels+1 .OR. &
+      size(cospgridIN%qv,2)              /= cospIN%Nlevels) then
       Lrttov_subcolumn = .false.
       Lrttov_column    = .false.
